export var Property: any;
export namespace Property {
    export type definition = {
        /**
         * A unique string that identifies the property.
         */
        id?: string | undefined;
        /**
         * A distinctive and human-readable name of the property.
         */
        name?: string | undefined;
        /**
         * Denotes whether the property is disabled or not.
         */
        disabled?: boolean | undefined;
        /**
         * The meta information regarding the Property is provided as the `info` object.
         */
        info?: any;
    };
}
