import { AxiosResponse } from 'axios';
import ProginnBridge from '../bridge';
import { Notifier } from '../types/global';
declare const ProginnRequest: {
    create: (opts: {
        baseURL?: string;
        bridge?: ProginnBridge;
        notifier?: Notifier;
        withCredentials?: boolean;
        defaultDataType?: 'json' | 'form' | false;
    }) => (opts: {
        method: 'GET' | 'POST';
        url: string;
        query?: any;
        data?: any;
        dataType?: 'json' | 'form';
        headers?: any;
    }) => Promise<AxiosResponse>;
};
export default ProginnRequest;
