import gt from 'semver/functions/gt';
import lt from 'semver/functions/lt';
import eq from 'semver/functions/eq';
import neq from 'semver/functions/neq';
import gte from 'semver/functions/gte';
import lte from 'semver/functions/lte';
export class semver {
    static compare(comparator, v1, v2) {
        return this.comparator[comparator](v1, v2);
    }
}
semver.comparator = {
    gt,
    lt,
    eq,
    neq,
    gte,
    lte,
};
