import gt from 'semver/functions/gt'
import lt from 'semver/functions/lt'
import eq from 'semver/functions/eq'
import neq from 'semver/functions/neq'
import gte from 'semver/functions/gte'
import lte from 'semver/functions/lte'

export type SemverComparator = 'gt'| 'lt'| 'eq'| 'neq'| 'gte'| 'lte'

export class semver {
  static comparator = {
    gt,
    lt,
    eq,
    neq,
    gte,
    lte,
  }

  static compare(comparator: SemverComparator, v1: string, v2: string) {
    return this.comparator[comparator](v1, v2)
  }
}
